Update an email sender
curl --request PUT \
--url https://api.orbit.devotel.io/api/v1/email/senders/{senderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_from_name": "Acme Billing",
"default_reply_to": "billing@mail.acme.com",
"isDefault": true
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/email/senders/{senderId}"
payload = {
"default_from_name": "Acme Billing",
"default_reply_to": "billing@mail.acme.com",
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_from_name: 'Acme Billing',
default_reply_to: 'billing@mail.acme.com',
isDefault: true
})
};
fetch('https://api.orbit.devotel.io/api/v1/email/senders/{senderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"domain": "<string>",
"default_from_email": "<string>",
"default_from_name": "<string>",
"default_reply_to": "<string>",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"streamId": "<string>",
"dnsVerified": true,
"resendDomainId": "<string>",
"dnsRecords": [
{}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Email
Update an email sender
Update the editable fields of an email sender — default from-name, from-address, reply-to, and stream assignment. The sending domain is immutable (delete and re-create to change it). Setting isDefault: true promotes this sender to the org default in the same request. Requires an owner / admin role.
PUT
/
api
/
v1
/
email
/
senders
/
{senderId}
Update an email sender
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Email sender id (esend_…).
Body
application/json
Default From address — must be on the sender's domain.
Display name shown to recipients.
Reply-To routing address.
Set true to promote this sender to the org default.
Reassign to a sending stream (estream_…), or null to clear the assignment.
⌘I